using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "ExperienceDrop", menuName = "RiftMayhem/Drops/ExperienceDrop", order = 1)]
public class ExperienceDrop : Drop
{
    public float experienceAmount;

    [SerializeField] private GameEvent_Float onExperienceDrop;

    Health health;

    private void Awake()
    {
    }

    public override void ExecuteDrop(Transform origin)
    {
        base.ExecuteDrop(origin);

        onExperienceDrop.Raise(experienceAmount);
    }
}
